import java.io.*;
import java.io.FileInputStream;
import java.util.zip.Inflater;
import java.util.zip.InflaterInputStream;
import java.io.IOException;

class Demo {
	public static String infile = "testfile.txt";

	public static void getBytes() throws IOException {
		FileInputStream inStream = new FileInputStream(infile);
		Inflater infl = new Inflater();
		InflaterInputStream inflInstream = new InflaterInputStream(inStream,
				infl);
		boolean completed = false;
		byte b[] = new byte[1024];
		try {

			while (true) {
				int len = inflInstream.read(b, 0, 1024);

				if (len == -1) {
					break;
				}
				System.out.println("Compressed file : " + infile);
				long inBytes = infl.getBytesRead();
				System.out.println("Number of bytes of Compressed data : "
						+ inBytes + "bytes");

			}
			int inRemain = infl.getRemaining();
			System.out.println("Remaining bytes after decompression data : "
					+ inRemain + "bytes");

			long outBytes = infl.getBytesWritten();
			System.out.println("Number of bytes of Uncompressed data : "
					+ outBytes + "bytes");

			completed = true;
			inflInstream.close();
		} catch (IOException ioe) {
			System.out.println("IOException : " + ioe);
		}
	}
}

public class InflaterGetBytes {
	public static void main(String[] args) throws IOException {
		Demo.getBytes();
	}
}
